Bug 17345 - Typo in sysprefs.sql prevents all systempreferences from being installed
Summary: Typo in sysprefs.sql prevents all systempreferences from being installed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 16272
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-25 12:43 UTC by Katrin Fischer
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17345: Fix typo in sysprefs.sql (1.73 KB, patch)
2016-09-25 12:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17345: Fix typo in sysprefs.sql (1.78 KB, patch)
2016-09-26 08:39 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17345: Fix typo in sysprefs.sql (1.85 KB, patch)
2016-09-28 08:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-09-25 12:43:19 UTC
I noticed some odd things in my installation - turned out, half the preferences where missing because of a typo in the sysprefs.sql file. Attaching a patch in a second.
Comment 1 Katrin Fischer 2016-09-25 12:50:59 UTC
Created attachment 55796 [details] [review]
Bug 17345: Fix typo in sysprefs.sql

This fixes a tiny typo in sysprefs.sql that kept all
systempreferences from being installed.

To test:
- Create a new koha database, run the web installer
- Verify that all systempreferences have been loaded
  select count(*) from systempreferences should be
  no less than 553

or

- Truncate your systempreferences table
- Verify that the repaired sysprefs.sql file loads
  without error
Comment 2 Josef Moravec 2016-09-26 08:39:41 UTC
Created attachment 55817 [details] [review]
Bug 17345: Fix typo in sysprefs.sql

This fixes a tiny typo in sysprefs.sql that kept all
systempreferences from being installed.

To test:
- Create a new koha database, run the web installer
- Verify that all systempreferences have been loaded
  select count(*) from systempreferences should be
  no less than 553

or

- Truncate your systempreferences table
- Verify that the repaired sysprefs.sql file loads
  without error

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Tested by truncating systempreferences table
Comment 3 Katrin Fischer 2016-09-26 09:04:18 UTC
Hi Josef - thx for testing! I noticed later I was missing the Version pref after doing the truncation - maybe something to check!
Comment 4 Jonathan Druart 2016-09-28 08:16:21 UTC
Erk, sorry about that.
Comment 5 Jonathan Druart 2016-09-28 08:17:40 UTC
Created attachment 55863 [details] [review]
Bug 17345: Fix typo in sysprefs.sql

This fixes a tiny typo in sysprefs.sql that kept all
systempreferences from being installed.

To test:
- Create a new koha database, run the web installer
- Verify that all systempreferences have been loaded
  select count(*) from systempreferences should be
  no less than 553

or

- Truncate your systempreferences table
- Verify that the repaired sysprefs.sql file loads
  without error

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Brendan Gallagher 2016-10-10 10:06:50 UTC
Pushed to Master - Should be in the November Release 16.11 - Thanks!